Package org.eclipse.e4.ui.css.swt.properties.css2

# Class CSSPropertyBackgroundSWTHandler

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.AbstractCSSPropertyCompositeHandler
org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyBackgroundCompositeHandler
org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyBackgroundHandler
org.eclipse.e4.ui.css.swt.properties.css2.CSSPropertyBackgroundSWTHandler

All Implemented Interfaces:
  `ICSSPropertyBackgroundHandler`, `ICSSPropertyCompositeHandler`, `ICSSPropertyHandler`

public class CSSPropertyBackgroundSWTHandler extends AbstractCSSPropertyBackgroundHandler

## Constructor Summary

Constructors
Constructor
Description
`CSSPropertyBackgroundSWTHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).
`void`
`applyCSSPropertyBackgroundColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the background color of an element.
`void`
`applyCSSPropertyBackgroundImage(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets an image as the background.
`String`
`retrieveCSSProperty(Object element, String property, String pseudo, CSSEngine engine)`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the `element` (ex : Swing Component, SWT Widget).
`String`
`retrieveCSSPropertyBackgroundColor(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyBackgroundHandler

`applyCSSPropertyBackground, applyCSSPropertyBackgroundAttachment, applyCSSPropertyBackgroundPosition, applyCSSPropertyBackgroundRepeat`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyBackgroundCompositeHandler

`applyCSSProperty, getCSSPropertiesNames, isCSSPropertyComposite`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.properties.AbstractCSSPropertyCompositeHandler

`applyCSSPropertyComposite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.e4.ui.css.core.dom.properties.css2.ICSSPropertyBackgroundHandler

`retrieveCSSPropertyBackgroundAttachment, retrieveCSSPropertyBackgroundImage, retrieveCSSPropertyBackgroundPosition, retrieveCSSPropertyBackgroundRepeat`

## Constructor Details

### CSSPropertyBackgroundSWTHandler

public CSSPropertyBackgroundSWTHandler()

## Method Details

### applyCSSProperty

public boolean applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyHandler`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `applyCSSProperty` in interface `ICSSPropertyHandler`
Overrides:
  `applyCSSProperty` in class `AbstractCSSPropertyBackgroundHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `value` - CSS value
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  weather CSS property was applied or not
Throws:
  `Exception` - if applying CSS failed

### retrieveCSSProperty

public String retrieveCSSProperty(Object element, String property, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyHandler`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `retrieveCSSProperty` in interface `ICSSPropertyHandler`
Overrides:
  `retrieveCSSProperty` in class `AbstractCSSPropertyBackgroundHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  retrieved CSS properties or `null`
Throws:
  `Exception` - if retrieving CSS failed

### applyCSSPropertyBackgroundColor

public void applyCSSPropertyBackgroundColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBackgroundHandler`
Sets the background color of an element. Available values are= color-rgb, color-hex, color-name, transparent

Specified by:
  `applyCSSPropertyBackgroundColor` in interface `ICSSPropertyBackgroundHandler`
Overrides:
  `applyCSSPropertyBackgroundColor` in class `AbstractCSSPropertyBackgroundHandler`
Throws:
  `Exception`

### applyCSSPropertyBackgroundImage

public void applyCSSPropertyBackgroundImage(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBackgroundHandler`
Sets an image as the background. Available values=url(URL), none

Specified by:
  `applyCSSPropertyBackgroundImage` in interface `ICSSPropertyBackgroundHandler`
Overrides:
  `applyCSSPropertyBackgroundImage` in class `AbstractCSSPropertyBackgroundHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBackgroundColor

public String retrieveCSSPropertyBackgroundColor(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`